| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
apps.php File Reference

## Functions
| get_system_apps ()
| app_name_compare ($a, $b)
| parse_app_description ($f)
| translate_system_apps (&$arr)
| app_render ($papp, $mode= 'view')
| app_install ($uid, $app)
| app_destroy ($uid, $app)
| app_installed ($uid, $app)
| app_list ($uid)
| app_decode ($s)
| app_store ($arr)
| app_update ($arr)
| app_encode ($app, $embed=false)
| papp_encode ($papp)

## Function Documentation

app_decode | ( |  | $s | ) |

Referenced by appman_post().

app_destroy | ( |  | $uid,
|  |  | $app
| ) |  |

Referenced by appman_post().

app_encode | ( |  | $app,
|  |  | $embed = `false`
| ) |  |

Referenced by appman_content(), and apps_content().

app_install | ( |  | $uid,
|  |  | $app
| ) |  |

Referenced by appman_post().

app_installed | ( |  | $uid,
|  |  | $app
| ) |  |

Referenced by app_install(), app_render(), and appman_post().

app_list | ( |  | $uid | ) |

Referenced by apps_content().

app_name_compare | ( |  | $a,
|  |  | $b
| ) |  |

app_render | ( |  | $papp,
|  |  | $mode = `'view'`
| ) |  |

modes: view: normal mode for viewing an app via bbcode from a conversation or page provides install/update button if you're logged in locally list: normal mode for viewing an app on the app page no buttons are shown edit: viewing the app page in editing mode provides a delete button

Referenced by apps_content().

app_store | ( |  | $arr | ) |

Referenced by app_install().

app_update | ( |  | $arr | ) |

Referenced by app_install().

get_system_apps | ( |  | ) |

apps

Referenced by apps_content().

papp_encode | ( |  | $papp | ) |

Referenced by app_render().

parse_app_description | ( |  | $f | ) |

Referenced by get_system_apps().

translate_system_apps | ( | & | $arr | ) |

Referenced by parse_app_description().